Subject: Re: bug#24172: 25.1; Doc of parse-sexp-ignore-comments: what does a value of nil mean?

From: Michael Heerdegen <[email-masked]>
Date: Mon, 29 Jul 2019 04:18:56 +0200

Alan McKenzie <[email-masked]> writes:

> All in all, this variable seems not to be a good idea.  It is not
> tested consistently by the syntax routines (see above), must be set
> explicitly to t by any major mode with comments, the nil value is
> rarely used, and it is not clear whether this nil value is actually
> ever useful.

My question mainly arised from pondering whether this variable could be
useful for el-search, a package for searching Elisp code (with
patterns).  It could be of minor use if it allowed to search commented
code.  But I can also implement this in other ways.  Apart from that, I
have no use cases, so I wrote the bug report only because of the unclear
documentation.

But the variable seems to be used.  I have 75 matches in my load-path.

Michael.